猿问
下载APP

请问一下Android Studio为什么要用Gradle?

Android Studio为什么要用Gradle


隔江千里
浏览 194回答 3
3回答

皈依舞

Android Studio使用Gradle的目的在于帮助开发者管理项目依赖,开发部署,代码复用。Gradle是一种构建工具,可以帮助开发者管理项目中的差异,依赖,编译,打包,部署等,可以定义满足自己需要的构建逻辑,写入到build.gradle中供日后复用。Gradle是一个基于Apache Ant和Apache Maven概念的项目自动化构建开源工具。它使用一种基于Groovy的特定领域语言(DSL)来声明项目设置,目前也增加了基于Kotlin语言的kotlin-based DSL,抛弃了基于XML的各种繁琐配置。Gradle是一个基于JVM的构建工具,是一款通用灵活的构建工具,支持maven, Ivy仓库,支持传递性依赖管理,而不需要远程仓库或者是pom.xml和ivy.xml配置文件,基于Groovy,build脚本使用Groovy编写。扩展资料:gradle提供的功能:1、一种可切换的,像maven一样的基于约定的构建框架,却又从不锁住你(约定优于配置)2、强大的支持多工程的构建3、强大的依赖管理(基于Apache Ivy),提供最大的便利去构建你的工程4、全力支持已有的Maven或者Ivy仓库基础建设5、支持传递性依赖管理,在不需要远程仓库和pom.xml和ivy配置文件的前提下6、基于groovy脚本构建,其build脚本使用groovy语言编写7、具有广泛的领域模型支持你的构建

缥缈止盈

  鉴于Android Studio使用Gradle构建项目,在IDE的使用过程中可能会遇到很多令人头疼的问题。大锤也是第一次接触,为有个基本的认识,特找来Android官方手册,和大家一起学习学习。翻译不当之处,望指出。  为什么要用Gradle?  Gradle是比较先进的构建系统,也是一个很好的构建工具,允许通过插件自定义构建逻辑  以下是为什么Android Studio选择Gradle的主要原因:  使用领域专用语言(Domain Specific Language)来描述和处理构建逻辑。(以下简称DSL)  基于Groovy。DSL可以混合各种声明元素,用代码操控这些DSL元素达到逻辑自定义。  支持已有的Maven或者Ivy仓库基础建设  非常灵活,允许使用best practices,并不强制让你遵照它的原则来。  其它插件时可以暴露自己的DSL和API来让Gradle构建文件使用。  允许IDE集成,是很好的API工具  需要准备:  Gradle 1.6 or 1.7  SDK with Build Tools 17.0.0 (released 5/16/2013)  Basic Project  在Gradle项目的根目录下,有个叫build.gradle的文件,它描述了这个项目的整体构建基础。  build文件  最基本的java程序,它的build.gradle文件就一句话:  apply plugin: 'java'  最基本的Android项目,它的build.gradle如下:  buildscript {repositories {mavenCentral()}dependencies {classpath 'com.android.tools.build:gradle:0.5.6'}}apply plugin: 'android'android {compileSdkVersion 17}  我们一步步来分析一下上面三部分的内容。  buildscript{...} 配置了驱动build的代码,它声明将在Maven中央仓库,取一个classpath dependency,也就是Android plugin for Gradle v0.5.6  apply plugin 指明了用到的plugin是android,就像前面java程序中,用的plugin是java一样  android{...} 中配置了所有android构建的参数,这里也就是Android DSL的入口点。  默认的,只有目标编译环境是必要的,也就是compileSdkVersion这个属性。这和以前在project.properties中的target属性类似。  值得注意的是,如果你在Android项目中写 apply plugin:java 而不是apply plugin:android的话,将会build失败。

ITMISS

最近也是在试着熟悉使用android studio,毕竟是以后安卓的主流开发平台,早晚都是要用的。但是面对谷歌这个版本帝,每次AS每次更新之后又是要更新gradle,总是因为我们伟大的天朝的墙实在是太厚,提示各种错误。研究了很久发现了这个方法,希望可以帮助遇到同样问题的朋友(当然有VPN的同学就当我没说)!o(∩_∩)o 第一步:下载需要的gradle,根据提示的错误来,我上次提示的是不能下载gradle-2.4-all.zip需要的打开这个网站第二步:下载好后,打开C:\Users\hiwhitley\.gradle\wrapper\dists\gradle-2.4-all目录下,这时候因为之前下载可能会有几个缓存文件夹,如果没有就直接复制到这里。在每个里面把刚刚下载好的gradle-2.4-all.zip复制进去,千万不要解压,不要解压,不要解压(重要的事情说三遍)第三步:重启android-studio即可自动安装,就是这么简单,希望可以节省大家的时间,不要在这么无聊的事情上花费太多时间!o(∩_∩)o 
打开App,查看更多内容
随时随地看视频慕课网APP
我要回答